Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154972 - unexplained SIGSEGV death in SIGSEGV signal handler
Summary: unexplained SIGSEGV death in SIGSEGV signal handler
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On: 154221
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 07:23 UTC by Roland McGrath
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-08 15:14:09 UTC


Attachments (Terms of Use)
reproducer, compile on 2.1AS and run on RHEL4 (deleted)
2005-04-15 07:23 UTC, Roland McGrath
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:420 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 1 2005-06-08 04:00:00 UTC

Description Roland McGrath 2005-04-15 07:23:05 UTC
Split off from Bug #154221

With bug #154221 fixed, we can get a core dump for this case.
Why it happens remains unclear.

Comment 1 Roland McGrath 2005-04-15 07:23:06 UTC
Created attachment 113213 [details]
reproducer, compile on 2.1AS and run on RHEL4

Comment 2 Roland McGrath 2005-04-24 01:02:20 UTC
The problem here turns out to be an interaction between bug #154221 and the
exec-shield implementation on x86.  Fixing that bug in a way that interacts well
with the exec-shield code alleviates the spurious faults.
See bug #154221 comment #23 for a patch that addresses this problem.  
This patch is still under review by the RHEL4 kernel team and not verified to be
without other consequences.

The chances of hitting this problem should be drastically reduced by booting
with the exec-shield=0 parameter.  Using the test case here, I have not been
able to reproduce the problem when exec-shield=0 is set at boot time.  However,
I cannot be sure that the problem could never arise in that configuration.


Comment 6 Tim Powers 2005-06-08 15:14:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-420.html



Note You need to log in before you can comment on or make changes to this bug.